//	BeModule.h

#pragma once

class BeModule : public BView
{
	protected:
	
		BResourceFile *resFile;
		
	public:
	
		BeModule(BResourceFile *file)
			: BView(BRect(),NULL,B_FOLLOW_NONE,B_WILL_DRAW | B_FRAME_EVENTS | B_PULSE_NEEDED | B_FULL_UPDATE_ON_RESIZE)
		{
			resFile = file;
		}
		
		virtual ulong ModuleFlags()
		{
			return 0x00000000;
		}
};

//	Module flags

enum
{
	BM_HANDLE_MOUSE = 		0x00000001,
	BM_NOTIFY_ON_RELEASE =	0x00000002,
	BM_HIGHLIGHT_BUTTON = 	0x00000004
};

//	Message constants

enum
{
	BM_CLICKED = 'BMcl'			// module informed of mouse click
};