//	Infinitas.h

#pragma once

enum
{
	I_TITLEBAR_THICKNESS = 12,
	I_GROW_BOX_WIDTH = 9
};

class Infinitas : public BWindow
{
	private:
		
		BView *titleBar;
		bool isHorizontal;
		
		void adjustTitleBar();
		
	public:
	
		Infinitas(BRect bounds, 	\
			const char *name, 		\
			rgb_color baseColor,	\
			ulong flags,			\
			bool horizontal = true, \
			ulong workspaces = B_CURRENT_WORKSPACE);
		
		void FrameResized(float,float);
				
		BRect Content();
		void Flip();
		void Flip(BPoint,float,float);
		bool IsHorizontal();
		void WindowShade(bool);
};