//	BMUtils.h

#pragma once

class MatrixPopup : public BMenu
{
	private:
	
		BPoint place;
		
	protected:
	
		virtual BPoint ScreenLocation();
		
	public:
	
		MatrixPopup(const char *name, float width, float height);
		
		BMenuItem *Go(BPoint where, bool sendMsg = false, bool openAnyway = false);
		BMenuItem *Go(BRect bounds, bool sendMsg = false, bool openAnyway = false);
		BMenuItem *Go(BPoint where, bool sendMsg, bool openAnyway, BRect specialRect);
};

BBitmap *BMLoadBitmapData(uchar *data, long length);

BBitmap *BMLoadBitmapFile(BFile *file);

BBitmap *BMLoadBitmapRsrc(BResourceFile *resFile, long resID);

BBitmap *BMLoadLargeIcon(BResourceFile *resFile, long resID);

BBitmap *BMLoadSmallIcon(BResourceFile *resFile, long resID);

void BMDrawIcon(BView *view, BBitmap *icon, BPoint where, bool selected);

bool BMBitmapHit(BBitmap *,BPoint);