//	ColorPopup.h

#pragma once

#include "BMUtils.h"

class ColorItem : public BMenuItem
{
	private:
	
		rgb_color rgbColor;
		float boxWidth;
		
	public:
	
		ColorItem(float,rgb_color);
		
		void DrawContent();
		void GetContentSize(float *,float *);
		void Highlight(bool);
		
		rgb_color Color();
};

class ColorPopup : public MatrixPopup
{
	protected:
	
		BPoint ScreenLocation();
		
	public:
	
		ColorPopup(const char *,float);
};

//	message constants

enum
{
	CP_GOT_COLOR = 'CPgC'
};

//	CP_GOT_COLOR contains one field, of type B_RGB_COLOR_TYPE, named "color".