//	DesktopColor.h

#pragma once

#include "BeModule.h"
#include "ColorPopup.h"

class DesktopColor : public BeModule
{
	private:
	
		enum
		{
			iconResID = 1,
			arrowResID = 0
		};
		
		ColorPopup *popup;
		BBitmap *icon;
		BBitmap *arrow;
		
	public:
	
		DesktopColor(BResourceFile *);
		
		void Draw(BRect);
		void MessageReceived(BMessage *);
				
		ulong ModuleFlags();
};

#pragma export on

extern "C" BeModule *CreateModule(BResourceFile *);

#pragma export off