//	IconModule.h

#pragma once

#include "BeModule.h"

class IconModule : public BeModule
{
	private:
	
		enum
		{
			iconResID = 0
		};
		
		BBitmap *icon;
		BBitmap *largeIcon;
		BBitmap *smallIcon;
		bool selected, big;
		
	public:
	
		IconModule(BResourceFile *);
		
		void Draw(BRect);
		void MouseDown(BPoint);
		void MessageReceived(BMessage *);
		
		ulong ModuleFlags();
};

#pragma export on

extern "C" BeModule *CreateModule(BResourceFile *);

#pragma export off